From d08b2a0d554bf4975818401c8e77a911700fb36e Mon Sep 17 00:00:00 2001
From: Tomas Vondra <tomas@2ndquadrant.com>
Date: Fri, 9 Jul 2021 23:37:06 +0200
Subject: [PATCH 2/2] minor review tweaks

---
 doc/src/sgml/ref/pg_dump.sgml |  4 ++--
 src/bin/pg_dump/pg_dump.c     | 25 +++++++------------------
 2 files changed, 9 insertions(+), 20 deletions(-)

diff --git a/doc/src/sgml/ref/pg_dump.sgml b/doc/src/sgml/ref/pg_dump.sgml
index fcc3fc663c..8ce160027e 100644
--- a/doc/src/sgml/ref/pg_dump.sgml
+++ b/doc/src/sgml/ref/pg_dump.sgml
@@ -804,8 +804,8 @@ PostgreSQL documentation
       <term><option>--functions-only</option></term>
       <listitem>
        <para>
-        Dmup only the stored functions and stored procedure definitions, not data, not
-        other objects definition.
+        Dump only the stored function and stored procedure definitions, not data or
+        definitions of other objects.
        </para>
 
        <para>
diff --git a/src/bin/pg_dump/pg_dump.c b/src/bin/pg_dump/pg_dump.c
index 7837656085..eb7a5b05ef 100644
--- a/src/bin/pg_dump/pg_dump.c
+++ b/src/bin/pg_dump/pg_dump.c
@@ -880,7 +880,7 @@ main(int argc, char **argv)
 	 * include blobs when -s is used.
 	 *
 	 * --functions-only means no data and blobs are data, so we never include
-	 *  blobs when --functions-only is used.
+	 * blobs when --functions-only is used.
 	 *
 	 */
 	if (dopt.include_everything && !dopt.schemaOnly && !dopt.functions_only && !dopt.dontOutputBlobs)
@@ -961,25 +961,14 @@ main(int argc, char **argv)
 	if (dopt.outputCreateDB)
 		dumpDatabase(fout);
 
-	/* If we have to export only the functions, we won't need to export
-	 * everything
-	 */
-	if (!dopt.functions_only)
+	/* Now the rearrangeable objects. */
+	for (i = 0; i < numObjs; i++)
 	{
-		/* Now the rearrangeable objects. */
-		for (i = 0; i < numObjs; i++)
+		/* Without the --functions-only option, just dump everything. */
+		if (!dopt.functions_only)
 			dumpDumpableObject(fout, dobjs[i]);
-	}
-	else
-	{
-		/* We'd like to dump functions only, in that case */
-		for (i = 0; i < numObjs; i++)
-		{
-			if (dobjs[i]->objType == DO_FUNC)
-			{
-				dumpFunc(fout, (const FuncInfo *) dobjs[i]);
-			}
-		}
+		else if (dobjs[i]->objType == DO_FUNC)
+			dumpFunc(fout, (const FuncInfo *) dobjs[i]);
 	}
 
 	/*
-- 
2.31.1

